GetDelegatedResourceV2
POST
[Stake 2.0] Returns the resource delegations from a specific address to a target address (solidified state).
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
fromAddressstringrequired
Delegator account address (format: Base58 or Hex). Example: TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2gtoAddressstring
Recipient account address (format: Base58 or Hex). Example: TJmmqjb1DK9TTZbQXzRQ2AuA94z4gKAPFhvisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
fromstring
Delegate account address.tostring
Resource recipient address.frozen_balance_for_bandwidthinteger
Amount of TRX staked for Bandwidth delegated from the from address to the to address. (Unit: sun)frozen_balance_for_energyinteger
Amount of TRX staked for Energy delegated from the from address to the to address. (Unit: sun)expire_time_for_bandwidthinteger
Timestamp when the Bandwidth delegation lock expires. (Unit: millisecond)expire_time_for_energyinteger
Timestamp when the energy delegation lock expires. (Unit: millisecond)cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourcev2' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"fromAddress": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g","toAddress": "TJmmqjb1DK9TTZbQXzRQ2AuA94z4gKAPFh"}'